package com.hw.ems.report.service;

import java.util.List;
import java.util.Map;

/**
 * 能源分析Service接口
 *
 * @author YinQ
 * @date 2023-04-05
 */
public interface IEnergyPreviewService {


    /**
     * 电能源预览返回数据
     *
     * @param map
     * @return
     */
    List<Map<String, String>> indexDataReport(Map map, Long energyType);

    /**
     * 首页能耗曲线图
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> indexBarChart(Map paramMap);


    /**
     * 首页今日、本周、当月、当年耗量
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> fourEnergy(Map paramMap);

    /**
     * 首页建筑、业态、分项饼图
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> threePieChart(Map paramMap);

    /**
     * 首页建筑、业态、分项柱图
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> columnarChart(Map paramMap);


    /**
     * 点抄数据柱状图
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> dnbCountingData(Map paramMap);

    /**
     * 能耗排名
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> energyRanking(Map paramMap);

    /**
     * 查询能源耗量
     *
     * @param paramMap
     * @return
     */
    public List<Map<String, String>> energyConsumptionByTime(Map paramMap);
}
